Package ru.bitel.bgbilling.modules.mobile.server.event

# Class MobileRequestEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.mobile.server.event.MobileRequestEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class MobileRequestEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent implements ErrorReturnableEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MobileRequestEvent(int mid, Contract contract, String action, Map<String,String[]> requestMap, Map<String,Object> map)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAction()`
  `Map<String,Object>`
  `getActionMap()`
  `Contract`
  `getContract()`
  `Map<String,Object>`
  `getDataMap()`
  `String`
  `getError()`
  `int`
  `getRequestIntParam(String paramName, int defaultValue)`
  Получить int параметр запроса
  `long`
  `getRequestLongParam(String paramName, long defaultValue)`
  Получить long параметр запроса
  `Map<String,String[]>`
  `getRequestMap()`
  `String`
  `getRequestParam(String paramName)`
  Получить параметр запроса
  `boolean`
  `isProcessed()`
  Если событие было обработано, то стандартное поведение не выполняется
  `void`
  `setAction(String action)`
  `void`
  `setActionMap(Map<String,Object> actionMap)`
  `void`
  `setContract(Contract contract)`
  `void`
  `setError(String error)`
  Если не null, то приложению вернется данное сообщение об ошибке.
  `void`
  `setProcessed(boolean processed)`
  Если событие было обработано, то стандартное поведение не выполняется.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MobileRequestEvent

    public MobileRequestEvent(int mid, Contract contract, String action, Map<String,String[]> requestMap, Map<String,Object> map)

- ## Method Details

  - ### getAction

    public String getAction()

  - ### setAction

    public void setAction(String action)

  - ### getContract

    public Contract getContract()

  - ### setContract

    public void setContract(Contract contract)

  - ### getDataMap

    public Map<String,Object> getDataMap()

  - ### getActionMap

    public Map<String,Object> getActionMap()

  - ### setActionMap

    public void setActionMap(Map<String,Object> actionMap)

  - ### getError

    public String getError()
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### setError

    public void setError(String error)
    Если не null, то приложению вернется данное сообщение об ошибке. Все что было в actionMap, будет перетерто
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### isProcessed

    public boolean isProcessed()
    Если событие было обработано, то стандартное поведение не выполняется

  - ### setProcessed

    public void setProcessed(boolean processed)
    Если событие было обработано, то стандартное поведение не выполняется. Map будет таковым, каковым его вернуло событие.

  - ### getRequestMap

    public Map<String,String[]> getRequestMap()

  - ### getRequestParam

    public String getRequestParam(String paramName)
    Получить параметр запроса

  - ### getRequestIntParam

    public int getRequestIntParam(String paramName, int defaultValue)
    Получить int параметр запроса

  - ### getRequestLongParam

    public long getRequestLongParam(String paramName, long defaultValue)
    Получить long параметр запроса